
Libprelude - Bug #50

libprelude doesn't check for yacc

11/09/2004 10:21 AM - Sebastien Tricaud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: fixed   

Description

libprelude's configure.in doesn't check is yacc is present in the system.

As a result the compilation fails.

History

#1 - 11/09/2004 10:49 AM - Sebastien Tricaud

it doesn't check for lex too.

errors returned:

../src/.libs/libprelude.so: undefined reference to 'yy_scan_string'

../src/.libs/libprelude.so: undefined reference to 'yylex'

installing flex resolve this issue

#2 - 11/09/2004 10:51 AM - Sebastien Tricaud

Doesn't check for python nor perl either in order to build the bindings: errors while compiling

#3 - 11/09/2004 05:11 PM - Yoann VANDOORSELAERE

- Status changed from New to Closed

- Resolution set to fixed

You are supposed to have flex/yacc installed when compiling from SVN. However, when making a dist, the generated files are included, so the check

is not needed.

Nicolas just fixed the python/perl bit in r4355 and r4356

#4 - 04/29/2009 12:26 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Libprelude

- Category deleted (1)
